%% Distribution trends
clc
close all

Dx10 = [1.82,2.89,2.53,4.49,3.72];
Dx50 = [6.54,12.5,14.2,21.1,18.2];
Dx90 = [18.0,24.4,33.1,58.4,82.0];
Av = [10.5;11.97;16.32;32.00;28.45];
z = [0.20,0.30,0.50,0.75,1.00];

figure
scatter(z,Dx10,'filled');
hold on
scatter(z,Dx50,'filled');
hold on
scatter(z,Dx90,'filled');
hold on
scatter(z,Av,'filled');
hold off

% set(gca,'yscale','log')
xlabel('Z_O','Interpreter','tex')
ylabel('Size [\mum]','Interpreter','tex')
title('Distribution trends','Interpreter','tex')
legend('Dx10','Dx50','Dx90', 'Avg.','Interpreter','tex')
legend('location','northwest')
saveas(gcf,'DistributionTrends','epsc')

figure
volSep = [23.0020,54.1463,64.4268,79.5904,72.2397];
scatter(z, volSep,'filled')
xlabel('Z_O','Interpreter','tex')
ylabel('Volume Separated [%]','Interpreter','tex')
ylim([0 100])
saveas(gcf,'VolumeSeparated','epsc')