%% LogNormal distribution figures
clc
close all

pd1 = makedist('Lognormal','mu',log(1),'sigma',0.5); 
pd2 = makedist('Lognormal','mu',log(1),'sigma',1);
pd3 = makedist('Lognormal','mu',log(1),'sigma',0.75);

x = (0:0.01:10);
y1 = pdf(pd1,x);
y2 = pdf(pd2,x);
y3 = pdf(pd3,x);

figure

subplot(2,1,1)

plot(x,y1,'b')
hold on
plot(x,y2,'r')
hold on
plot(x,y3,'c')

title('Lognormal distribution (linear scale)')
legend('\sigma = 0.5', '\sigma = 1', '\sigma = 2')

subplot(2,1,2)

semilogx(x,y1,'b')
hold on
semilogx(x,y2,'r')
hold on
semilogx(x,y3,'c')

title('Lognormal distribution (logarhitmic scale)')
legend('\sigma = 0.5', '\sigma = 1', '\sigma = 2')

saveas(gcf,'LogNormalExample','epsc')