function F = PressEquations_withQin(Qin,Zu,Zo,par,x)
Ain=pi*par.Rin^2;
Cv1=par.Aup*par.Cdu;
Cv2=par.Aop*par.Cdo;
Au=pi*par.R3^2;
Ao=pi*par.Rov^2;
K1=(Cv1^2*Zu^2)/par.Rho_w;
K2=(Cv2^2*Zo^2)/par.Rho_o;
K3=2*Cv1*Cv2*Zu*Zo;
K4=(par.Rho_in/(2*Ain^2))-(5*par.Rho_w)/(4*(par.R3*pi*par.Rin)^2);
K5=(Cv1^2*Zu^2)/Au^2;
K6=(Cv2^2*Zo^2)/Ao^2;
K71=(1*par.Rho_o*(par.Rov)^2)/(4*(pi*par.Rin)^2*(par.R3*par.Rfac1)^4);
K7=(par.Rho_in/(2*Ain^2))-K71;
alpha1=0.175;
%% INLET PRESSURE%%

% F(1)=P1+(K7)*(K1*2*(x(2)-par.Patm)+K2*2*(x(1)-par.Patm)+K3*sqrt(2*(x(2)-par.Patm)/par.Rho_w)*sqrt(2*(x(1)-par.Patm)/par.Rho_o))-x(1)*(1+K6)+K6*par.Patm;
% F(2)=P1+(K4)*(K1*2*(x(2)-par.Patm)+K2*2*(x(1)-par.Patm)+K3*sqrt(2*(x(2)-par.Patm)/par.Rho_w)*sqrt(2*(x(1)-par.Patm)/par.Rho_o))-x(2)*(1+K5)+K5*par.Patm;

K_1=(5*par.Rho_w*(alpha1*Qin*par.R1)^2)/(4*(par.R3*pi*par.Rin^2)^2);
K_2=(par.Rho_o*(alpha1*Qin*par.R1)^2*par.Rov^2)/(4*((par.R3*par.Rfac1)^2*pi*par.Rin^2)^2);
F(1)=x(2)-x(1)+((1/(2*Au^2))*(Cv1*Zu)^2*((2*(x(2)-par.Patm))))-((1/(2*Ao^2))*(Cv2*Zo)^2*((2*(x(1)-par.Patm))))+K_1-K_2;
F(2)=Qin-0.6*(Cv1*Zu*sqrt(2*(x(2)-par.Patm)/par.Rho_w))-(Cv2*Zo*sqrt(2*(x(1)-par.Patm)/par.Rho_o));



end