clear all
par = initHC_Lab();
%xu=[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8];
xu=0.6; %underflow valve opening
xo=[0.1];%0.4 %overflow valve opening
P2=300000; %initla guess of pressure
P3=400000; %initla guess of pressure
Ain=pi*par.Rin^2; %Inlet area
Au=pi*(0.005)^2;  %Underflow area 
Ao=pi*(0.001)^2; %Oveflow area

%% Experimental values
T = readtable('PressureDrop.xlsx'); 
flow = T{:,2};
dPo = T{:,8};
dPu = T{:,9};

%% Her boudary condtion is inflow rate 
Qin1=[0.0004 0.0005 0.0006 0.0008 0.0009 0.001 0.0015 0.0016]; %Inflow rate
PQ=[]; % This matrix gives you Qo,Qu,P2, P3
Pin=[]
for i=1:length(Qin1)
    PQ=[PQ;Press_Flow_Relation(xu,xo,P2,P3,Qin1(i),par)]
    Pin= [Pin;PQ(i,3)+(par.Rho_o/2)*(PQ(i,2)/Ao).^2+(par.Rho_o/4)*((0.175*Qin1(i)*par.R1).^2*(0.002)^2)/(pi^2*par.Rin^4*(0.3718*0.005)^4)-(par.Rho_in/2)*(Qin1(i)/Ain).^2];
end


 DPo=Pin-PQ(:,3);
 DPu=Pin-PQ(:,4);
 
figure
plot(Qin1*3600,DPo*10^-5);
hold on;
plot(Qin1*3600,DPu*10^-5);
hold on
scatter(flow, dPo, 'filled')
hold on
scatter(flow, dPu, 'filled')
xlabel('$Q_{in}\ [m^3/h]$','FontSize', 12 );
ylabel('$P [bar]$','FontSize', 12 );
xlim([0 5]);
legend('$dP_o(Sim)$','$dP_u(Sim)$','$dP_o(Exp)$','$dP_u(Exp)$');
legend('Location', 'northwest');
saveas(gcf,'PressureFlowRelationship','epsc')